// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "FontManager.hpp"

using namespace Dawn;

void FontManager::init() {
  if(FT_Init_FreeType(&fontLibrary)) {
    std::cout << "ERROR::FREETYPE: Could not init FreeType Library" << std::endl;
    assertUnreachable();
  }
}